package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag420;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT420Creator;

/**
 * @author zh
 * @create 2023-02-27-17:27
 */
public class Tag72Creator extends AbsTagCreate {
    private MT420Creator mt420Creator;

    public Tag72Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt420Creator= (MT420Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag72Value = mt420Creator.getSenderToReceiverInformation();
        mt420Creator.set("72", tag72Value);
    }
}
